Package org.codehaus.groovy.transform.sc.transformers

# Class CastExpressionOptimizer

java.lang.Object
org.codehaus.groovy.transform.sc.transformers.CastExpressionOptimizer

public class CastExpressionOptimizer extends Object

## Constructor Summary

Constructors
Constructor
Description
`CastExpressionOptimizer(StaticCompilationTransformer staticCompilationTransformer)`

## Method Summary

Modifier and Type
Method
Description
`Expression`
`transformCastExpression(CastExpression cast)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CastExpressionOptimizer

public CastExpressionOptimizer(StaticCompilationTransformer staticCompilationTransformer)

## Method Details

### transformCastExpression

public Expression transformCastExpression(CastExpression cast)